Skip to main content
`Ctrl`+`K`

# Pix2Sky_SlantOrthographic

class astropy.modeling.projections.Pix2Sky_SlantOrthographic(*args, **kwargs)

  Bases: `Pix2SkyProjection`, `Zenithal`

  Slant orthographic projection - pixel to sky.

  Corresponds to the `SIN` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  The following transformation applies when \(\xi\) and \(\eta\) are both zero.

  \[\theta = \cos^{-1}\left(\frac{\pi}{180^{\circ}}R_\theta\right)\]

  The parameters \(\xi\) and \(\eta\) are defined from the reference point \((\phi_c, \theta_c)\) as:

  \[\begin{split}\xi &= \cot \theta_c \sin \phi_c \\ \eta &= - \cot \theta_c \cos \phi_c\end{split}\]
  Parameters:
    xi `python:float`

      Obliqueness parameter, ξ. Default is 0.0.

    eta `python:float`

      Obliqueness parameter, η. Default is 0.0.

  Attributes Summary

  `eta` |
  `param_names` | Names of the parameters that describe models of this type.
  `xi` |

  Attributes Documentation

  eta = _ParameterDS('eta', value=0.0)
  param_names = ('xi', 'eta')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  xi = _ParameterDS('xi', value=0.0)